## binwalk-2.0.1.tar.gz

=== src/bundles/Makefile ===
LIB_DIR="../$(PYLIBDIR)"
FILE_VERSION=`ls file-*.tar.gz | cut -d'-' -f2 | cut -d '.' -f1,2`
SSDEEP_VERSION=`ls ssdeep-*.tar.gz | cut -d'-' -f2 | cut -d '.' -f1,2`
PYQTGRAPH_VERSION=`ls pyqtgraph-*.tar.gz | cut -d'-' -f2 | cut -d '.' -f1,2,3`

.PHONY: all clean_libs clean distclean

all:
	if [ "$(BUILD_FUZZY)" -eq "1" ]; then make -C ssdeep-$(SSDEEP_VERSION) libfuzzy.la; fi
	if [ "$(BUILD_FUZZY)" -eq "1" ]; then cp ssdeep-$(SSDEEP_VERSION)/.libs/libfuzzy.$(SOEXT) $(LIB_DIR); fi
	if [ "$(BUILD_MAGIC)" -eq "1" ]; then make -C file-$(FILE_VERSION)/src magic.h; fi # This must be done first for OSX, else MAGIC_VERSION is undefined
	if [ "$(BUILD_MAGIC)" -eq "1" ]; then make -C file-$(FILE_VERSION)/src libmagic.la; fi
	if [ "$(BUILD_MAGIC)" -eq "1" ]; then cp file-$(FILE_VERSION)/src/.libs/libmagic.$(SOEXT) $(LIB_DIR); fi
	if [ "$(BUILD_PYQTGRAPH)" -eq "1" ]; then cp -R pyqtgraph-$(PYQTGRAPH_VERSION)/pyqtgraph $(LIB_DIR)/; fi

clean_libs:
	rm -f $(LIB_DIR)/libmagic.$(SOEXT)
	rm -f $(LIB_DIR)/libfuzzy.$(SOEXT)
	rm -rf $(LIB_DIR)/pyqtgraph

clean: clean_libs
	if [ "$(BUILD_FUZZY)" -eq "1" ]; then make -C ssdeep-$(SSDEEP_VERSION) clean; fi
	if [ "$(BUILD_MAGIC)" -eq "1" ]; then make -C file-$(FILE_VERSION) clean; fi

distclean: clean_libs
	rm -rf ./ssdeep-$(SSDEEP_VERSION)
	rm -rf ./file-$(FILE_VERSION)
	rm -rf ./pyqtgraph-$(PYQTGRAPH_VERSION)

=== tools/debian/control ===
Source: python-pyqtgraph
Maintainer: Luke Campagnola <luke.campagnola@gmail.com>
Section: python
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8)

Package: python-pyqtgraph
Architecture: all
Homepage: http://luke.campagnola.me/code/pyqtgraph
Depends: python (>= 2.6), python-support (>= 0.90), python-qt4 | python-pyside, python-scipy, python-numpy, ${misc:Depends}
Suggests: python-opengl, python-qt4-gl
Description: Scientific Graphics and GUI Library for Python
 PyQtGraph is a pure-python graphics and GUI library built on PyQt4 and numpy. 
 It is intended for use in mathematics / scientific / engineering applications. 
 Despite being written entirely in python, the library is very fast due to its 
 heavy leverage of numpy for number crunching and Qt's GraphicsView framework 
 for fast display.
